View Issue Details

IDProjectCategoryView StatusLast Update
0005620GNUnetotherpublic2019-06-09 14:21
Reporterba1020Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.6Fixed in Version0.11.1 
Summary0005620: can't start gnunet-arm -s
Descriptionwhen i do gnunet-arm -s

/usr/lib//gnunet/libexec/gnunet-daemon-topology: symbol lookup error: /usr/lib//gnunet/libexec/gnunet-daemon-topology: undefined symbol: GNUNET_ATS_connectivity_init
Steps To Reproducegnunet-arm -s
Additional InformationOS : Linux
OS RELEASE : 4.19.0-2-cloud-amd64
HARDWARE : x86_64
gcc : gcc (Debian 8.2.0-21) 8.2.0
cc : cc (Debian 8.2.0-21) 8.2.0
c++ : c++ (Debian 8.2.0-21) 8.2.0
autoconf : 2.69
automake : 1.16.1
GNUnet 0.8 : Not Found (good)
GNUnet 0.9 : 0.11.0
libgcrypt : 1.8.4
pkg-config : 0.29
GMP : libgmp-dev-2:6.1.2+dfsg-4.deb
libunistring : libunistring3-dev-0.9.10-1.deb
/usr/bin/gnunet-bugreport: 1: /usr/bin/gnunet-bugreport: pkg_info: not found
/usr/bin/gnunet-bugreport: 1: /usr/bin/gnunet-bugreport: pkg_info: not found
libunistring :

GMP :

GNU gettext : 0.19.8.1
libcurl : 7.64.0
/usr/bin/gnunet-bugreport: 224: /usr/bin/gnunet-bugreport: gnurl-config: not found
libmicrohttpd : Not found
GNU GLPK : 4.65
GnuTLS : 3.6.6
TagsNo tags attached.

Activities

ba1020

2019-03-02 14:03

reporter   ~0014119

Project is Gnunet

Christian Grothoff

2019-06-09 14:21

manager   ~0014521

The line
 $(top_builddir)/src/ats/libgnunetats.la \
was missing in src/topology/Makefile.am (in LDADD for gnunet_daemon_topology, around line 35).
This bug was fixed some time ago, you are somehow using an old release (0.11.0), we are at 0.11.5.

Issue History

Date Modified Username Field Change
2019-03-01 13:31 ba1020 New Issue
2019-03-02 14:03 ba1020 Note Added: 0014119
2019-06-09 13:46 Christian Grothoff Project doodle => GNUnet
2019-06-09 14:21 Christian Grothoff Assigned To => Christian Grothoff
2019-06-09 14:21 Christian Grothoff Status new => resolved
2019-06-09 14:21 Christian Grothoff Resolution open => fixed
2019-06-09 14:21 Christian Grothoff Fixed in Version => 0.11.1
2019-06-09 14:21 Christian Grothoff Note Added: 0014521
2019-06-09 14:21 Christian Grothoff Status resolved => closed
2019-06-09 14:21 Christian Grothoff Product Version => SVN HEAD
2019-06-09 14:21 Christian Grothoff Target Version => 0.11.6